Package org.eclipse.emf.cdo.common.id

# Interface CDOIDString

All Superinterfaces:
  `CDOID`, `Comparable<CDOID>`, `Serializable`

public interface CDOIDString extends CDOID
A `CDOID` with a `String` value.

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID

`CDOID.ObjectType, CDOID.Type`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID

`NIL, NULL`

## Method Summary

Modifier and Type
Method
Description
`String`
`getStringValue()`

### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID

`getType, isDangling, isExternal, isNil, isNull, isObject, isTemporary, toURIFragment`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Method Details

### getStringValue

String getStringValue()